import _ from 'loadsh'

export function clearAttr (obj) {
  for (let key in obj) {
    delete obj[key]
  }
}
/**
 * 快速拷贝两个对象的属性值
 * @param {*} source
 * @param {*} target
 */
export function copyAttr (source, target) {
  Object.keys(target).forEach(key => { target[key] = source[key] })
}

export function isNull (ele) {
  if (typeof ele === 'undefined') {
    return true
  } else if (ele == null) {
    return true
  } else if (ele == '') {
    return true
  }
  return false
}

export const objToOneArr = function (obj, pid, node, title) {
  let newData = []
  _.forEach(obj, (item, index) => {
    // console.log(index, item, pid, 'objToOneArr')
    if (!_.isEmpty(item.properties)) {
      newData.push({ name: index, value: '#{' + node + '.body.' + (pid == '0' ? index : pid) + '}', obj: item, pid: (pid == '0' ? index : pid), node: node, title: title })
      newData.push.apply(newData, objToOneArr(item.properties, pid == '0' ? index : pid + '.' + index, node, title))
    } else {
      let body = ''
      if (pid == 0) {
        body = index
      } else {
        body = pid + '.' + index
      }
      newData.push({ name: index, value: '#{' + node + '.body.' + body + '}', obj: item, pid: (pid == 0 ? index : pid), node: node, title: title })
    }
  })
  return newData
}
